Name:		gdal
Version:	1.10.1
Release:	2%{?dist}
Summary:	Geospatial library

Group:		Development/Libraries
License:	MIT
URL:		http://www.gdal.org
Source0:	%{name}-%{version}.tar.gz

%description
GDAL is a translator library for raster geospatial data formats
that is released under an X/MIT style Open Source license by the
Open Source Geospatial Foundation. As a library, it presents a single
abstract data model to the calling application for all supported
formats. It also comes with a variety of useful commandline
utilities for data translation and processing.

%package devel
Summary: Development headers for gdal
Group: System Environment/Libraries

%description devel

Development headers for gdal


%prep
%setup -q -n %{name}-%{version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/gdal*
%{_bindir}/nearblack
%{_bindir}/ogr2ogr
%{_bindir}/ogrinfo
%{_bindir}/ogrtindex
%{_bindir}/testepsg
%{_prefix}/%{_lib}/libgdal*
%{_datarootdir}/GDALLogoBW.svg
%{_datarootdir}/GDALLogoColor.svg
%{_datarootdir}/GDALLogoGS.svg
%{_datarootdir}/LICENSE.TXT
%{_datarootdir}/compdcs.csv
%{_datarootdir}/coordinate_axis.csv
%{_datarootdir}/cubewerx_extra.wkt
%{_datarootdir}/datum_shift.csv
%{_datarootdir}/ecw_cs.wkt
%{_datarootdir}/ellipsoid.csv
%{_datarootdir}/epsg.wkt
%{_datarootdir}/esri_StatePlane_extra.wkt
%{_datarootdir}/esri_Wisconsin_extra.wkt
%{_datarootdir}/esri_extra.wkt
%{_datarootdir}/gcs.csv
%{_datarootdir}/gcs.override.csv
%{_datarootdir}/gdal_datum.csv
%{_datarootdir}/gdalicon.png
%{_datarootdir}/geoccs.csv
%{_datarootdir}/gt_datum.csv
%{_datarootdir}/gt_ellips.csv
%{_datarootdir}/header.dxf
%{_datarootdir}/nitf_spec.xml
%{_datarootdir}/nitf_spec.xsd
%{_datarootdir}/osmconf.ini
%{_datarootdir}/ozi_datum.csv
%{_datarootdir}/ozi_ellips.csv
%{_datarootdir}/pci_datum.txt
%{_datarootdir}/pci_ellips.txt
%{_datarootdir}/pcs.csv
%{_datarootdir}/pcs.override.csv
%{_datarootdir}/prime_meridian.csv
%{_datarootdir}/projop_wparm.csv
%{_datarootdir}/s57agencies.csv
%{_datarootdir}/s57attributes.csv
%{_datarootdir}/s57attributes_aml.csv
%{_datarootdir}/s57attributes_iw.csv
%{_datarootdir}/s57expectedinput.csv
%{_datarootdir}/s57objectclasses.csv
%{_datarootdir}/s57objectclasses_aml.csv
%{_datarootdir}/s57objectclasses_iw.csv
%{_datarootdir}/seed_2d.dgn
%{_datarootdir}/seed_3d.dgn
%{_datarootdir}/stateplane.csv
%{_datarootdir}/trailer.dxf
%{_datarootdir}/unit_of_measure.csv
%{_datarootdir}/vertcs.csv
%{_datarootdir}/vertcs.override.csv
%doc

%files devel
%defattr(-,root,root,-)
%{_includedir}/cpl*
%{_includedir}/gdal*
%{_includedir}/gvgcpfit.h
%{_includedir}/memdataset.h
%{_includedir}/ogr*
%{_includedir}/rawdataset.h
%{_includedir}/thinplatespline.h
%{_includedir}/vrtdataset.h

%changelog
* Tue Jan 14 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> - 1.10.1-2
- Added devel breakout package
